Subject: Re: getting git from kernel.org is failing

From: John Keeping <[email-masked]>
Date: Tue, 23 Jul 2013 22:06:04 +0100

On Tue, Jul 23, 2013 at 01:40:05PM -0700, Jonathan Nieder wrote:
> Jeff King wrote:
> 
> > then smart HTTP works fine. I wonder if there is a problem in the cgit
> > setup on kernel.org (or if it was even intended that you could fetch
> > from the cgit URL at all; the cgit page shows the clone URLs in
> > /pub/scm/git).
> 
> I didn't think cgit URLs were meant to be clonable, but since
> ls-remote works on them, it seems I thought wrong. :)  Odd.

CGit has a config option "enable-http-clone" which causes it to act as
an endpoint for the dumb HTTP protocol.  That option defaults to "on",
so I suspect that kernel.org has just left it at the default.